Bug 892907 - Guest os crashes after migration while cdrom in use (xbzrle enabled)
Guest os crashes after migration while cdrom in use (xbzrle enabled)
Status: CLOSED DUPLICATE of bug 1063417
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Dr. David Alan Gilbert
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 03:29 EST by Qunfang Zhang
Modified: 2014-04-01 05:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 07:46:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
isa serial log after migration while cdrom in use (22.35 KB, text/plain)
2013-01-08 03:30 EST, Qunfang Zhang
no flags Details

  None (edit)
Description Qunfang Zhang 2013-01-08 03:29:57 EST
Description of problem:
Boot a guest with cdrom attached. Read cdrom (copy files to local disk) in a loop and then do migration with xbzrle enabled. Guest system crashes after migration and does not work any more. I re-test without xbzrle for many times, can not reproduce.

Version-Release number of selected component (if applicable):
kernel-3.6.0-0.29.el7.x86_64
qemu-kvm-1.3.0-3.el7.x86_64

How reproducible:
9/10

Steps to Reproduce:
1. Boot a guest with cdrom attached.
# /usr/libexec/qemu-kvm -cpu SandyBridge -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -enable-kvm -name t2-rhel6.4-64 -uuid 61b6c504-5a8b-4fe1-8347-6c929b750dde -k en-us -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device usb-tablet,id=input0 -drive file=/mnt/rhel6.4-64-virtio.qcow2,if=none,id=disk0,format=qcow2,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x3,drive=disk0,id=disk0  -drive file=/mnt/boot.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,drive=drive-ide0-1-0,bus=ide.1,unit=0,id=cdrom -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=44:37:E6:5E:91:85,bus=pci.0,addr=0x5 -qmp tcp:0:6666,server,nowait -chardev socket,path=/tmp/isa-serial,server,nowait,id=isa1 -device isa-serial,chardev=isa1,id=isa-serial1 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x8 -chardev socket,id=charchannel0,path=/tmp/serial-socket,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,path=/tmp/foo,server,nowait,id=foo -device virtconsole,chardev=foo,id=console0  -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x9 -vnc :10 -k en-us -boot c -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtserialport,bus=virtio-serial0.0,chardev=qga0,name=org.qemu.guest_agent.0 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio

2. Boot the guest on destination host with listening mode

3. On both src and dst host:
(qemu) migrate_set_capability xbzrle on 

4. On src host:
(qemu) migrate_set_cache_size 2G

5. Read cdrom inside guest
#while true; do cp -r /media/RHEL_6.4\ X86_64\ boot/ /home/test; sleep 1; rm -rf /home/test; done

6. Migrate guest
(qemu) migrate -d tcp:t2:5800
  
Actual results:
Guest crash after migration. No quit/aborted. Please check the attachment for isa serial log.

Expected results:
Guest should work well after migration.

Additional info:
Comment 1 Qunfang Zhang 2013-01-08 03:30:56 EST
Created attachment 674591 [details]
isa serial log after migration while cdrom in use
Comment 3 Orit Wasserman 2013-12-17 09:00:08 EST
Can you try to reproduce with the latest rhel7 qemu version (1.5.3)?
Comment 4 Qunfang Zhang 2013-12-18 22:28:38 EST
(In reply to Orit Wasserman from comment #3)
> Can you try to reproduce with the latest rhel7 qemu version (1.5.3)?

Just test on the following version with the same steps in comment 0, now after migration, guest will hang on the destination side (tried 3 times, all reproduced). And then I re-test with xbzrle=off, the issue does not exist. Guest works well after migration during cdrom in use.

Host version:
kernel-3.10.0-63.el7.x86_64
qemu-kvm-1.5.3-24.el7.x86_64

With xbzrle, after migration, guest hangs:

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                          
 9932 root      20   0 2645220 1.878g   6280 S 206.2 24.9   2:44.92 qemu-kvm                                         
12407 root      20   0  123656   1396    972 R   6.4  0.0   0:00.01 top                                              
    1 root      20   0   51532   7340   2356 S   0.0  0.1   0:05.73 systemd
Comment 11 juzhang 2014-03-07 01:46:23 EST
Hi Qzhang,

Could you have a try and update the testing result?

Best Regards,
Junyi

Note You need to log in before you can comment on or make changes to this bug.